### Struct

# FwupdPlugin StructEfiHardDriveDevicePath

#### Description

    struct FuStructEfiHardDriveDevicePath {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf`

  No description available.

`refcount`

  No description available.

#### Functions

###### fu_struct_efi_hard_drive_device_path_new

No description available.

###### fu_struct_efi_hard_drive_device_path_parse_stream

No description available.

#### Instance methods

###### fu_struct_efi_hard_drive_device_path_get_partition_format

No description available.

###### fu_struct_efi_hard_drive_device_path_get_partition_number

No description available.

###### fu_struct_efi_hard_drive_device_path_get_partition_signature

No description available.

###### fu_struct_efi_hard_drive_device_path_get_partition_size

No description available.

###### fu_struct_efi_hard_drive_device_path_get_partition_start

No description available.

###### fu_struct_efi_hard_drive_device_path_get_signature_type

No description available.

###### fu_struct_efi_hard_drive_device_path_get_subtype

No description available.

###### fu_struct_efi_hard_drive_device_path_ref

No description available.

###### fu_struct_efi_hard_drive_device_path_set_partition_format

No description available.

###### fu_struct_efi_hard_drive_device_path_set_partition_number

No description available.

###### fu_struct_efi_hard_drive_device_path_set_partition_signature

No description available.

###### fu_struct_efi_hard_drive_device_path_set_partition_size

No description available.

###### fu_struct_efi_hard_drive_device_path_set_partition_start

No description available.

###### fu_struct_efi_hard_drive_device_path_set_signature_type

No description available.

###### fu_struct_efi_hard_drive_device_path_set_subtype

No description available.

###### fu_struct_efi_hard_drive_device_path_unref

No description available.